## org.eclipse.datatools.enablement.sybase.asa.actions
Class MultiASADialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.TrayDialog
                  org.eclipse.jface.dialogs.TitleAreaDialog
                      org.eclipse.datatools.enablement.sybase.asa.actions.MultiASADialog

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class MultiASADialog

extends org.eclipse.jface.dialogs.TitleAreaDialog

Dialog to support creating multiple profiles if the ASA server exposes multiple databases.

Author:
  brianf

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary
`java.util.Properties` `mCacheProps`

Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog
`DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`MultiASADialog(org.eclipse.swt.widgets.Shell parentShell)`

Method Summary
`void` `clearList()`
`java.lang.String[]` `getDBNames()`
`IConnectionProfile` `getProfile()`
`void` `setProfile(IConnectionProfile profile)`
`void` `updateOKButton(boolean enabled)`

Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog
`setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

Methods inherited from class org.eclipse.jface.dialogs.TrayDialog
`close, closeTray, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mCacheProps

    public java.util.Properties mCacheProps

Constructor Detail

### MultiASADialog

    public MultiASADialog(org.eclipse.swt.widgets.Shell parentShell)

Parameters:
  `parentShell` -

Method Detail

### setProfile

    public void setProfile(IConnectionProfile profile)

  Parameters:
    `profile` -

### getProfile

    public IConnectionProfile getProfile()

  Returns:

### clearList

    public void clearList()

### getDBNames

    public java.lang.String[] getDBNames()

  Returns:

### updateOKButton

    public void updateOKButton(boolean enabled)

  Parameters:
    `enabled` -